defmodule Aprsme.Is.PacketStats do
  @moduledoc false
  defstruct total_packets: 0,
            last_packet_at: nil,
            packets_per_second: 0,
            last_second_count: 0,
            last_second_timestamp: 0

  @type t :: %__MODULE__{
          total_packets: non_neg_integer(),
          last_packet_at: DateTime.t() | nil,
          packets_per_second: non_neg_integer(),
          last_second_count: non_neg_integer(),
          last_second_timestamp: integer()
        }
end
